Bug 747000

Summary: Add History/Action Reason fields for Disabling Lab Controllers
Product: [Community] Beaker Reporter: Sean Waite <swaite>
Component: web UIAssignee: Raymond Mancy <rmancy>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 0.7CC: bpeck, dcallagh, ebaak, jnicolet, mcsontos, mschick, rmancy, stl
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-07-20 00:38:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 840724    
Bug Blocks:    

Description Sean Waite 2011-10-18 14:31:30 UTC
We had a lab controller disabled for some reason on Beaker. There is no way, currently of tracking why this happened, or whodunnit. Having the ability to make an annotation on the lab controller's page about something you've done to it, and having the ability to see changes made to the lab controller would be very nice. We're digging through logs, now, trying to find out if this was done intentionally for a good reason, or if it was a fluke/problem with the LC.

Comment 1 Derrich Hafemann 2011-10-18 14:42:20 UTC
The Admin -> Lab controllers page shows us when the lab controller was disabled:

lab.rhts.eng.nay.redhat.com 	True 	2011-10-10 09:14:56 	1316460815.49682 		Re-Add (+)

Digging through the Activity -> All page, we can see the time frame surrounding that action, but there's no log of the lab controller being disabled:

host/lab2.rhts.eng.bos.redhat.com 	Scheduler 	2011-10-10 09:17:06 -04:00 	Command: intel-s3ea2-09.lab.bos.redhat.com off 	Command 	off 		
arozansk 	Scheduler 	2011-10-10 09:17:06 -04:00 	System: intel-s3ea2-09.lab.bos.redhat.com 	User 	Returned 	arozansk 	
	Scheduler 	2011-10-10 09:16:32 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	Power 	off 		Failed: Cobbler task failed
host/lab2.rhts.eng.bos.redhat.com 	Scheduler 	2011-10-10 09:15:51 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	Power 	off 		Failed: Cobbler task failed
	Scheduler 	2011-10-10 09:15:51 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	Status 	Changed 	Automated 	Broken
psklenar 	Scheduler 	2011-10-10 09:15:39 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	Distro 	Provision 		RHEL5-Server-U7
	Scheduler 	2011-10-10 09:15:39 -04:00 	Command: hp-dl180g6-01.rhts.eng.bos.redhat.com reboot 	Command 	reboot 		Cobbler task failed
psklenar 	Scheduler 	2011-10-10 09:15:35 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	User 	Reserved 		psklenar
	Scheduler 	2011-10-10 09:15:27 -04:00 	Command: hp-dl180g6-01.rhts.eng.bos.redhat.com off 	Command 	off 		Cobbler task failed
arozansk 	Scheduler 	2011-10-10 09:15:27 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	User 	Returned 	arozansk 	
arozansk 	Scheduler 	2011-10-10 09:15:25 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	User 	Reserved 		arozansk
host/lab2.rhts.eng.bos.redhat.com 	Scheduler 	2011-10-10 09:15:05 -04:00 	Command: hp-dl180g6-01.rhts.eng.bos.redhat.com off 	Command 	off 		Cobbler task failed
sassmann 	Scheduler 	2011-10-10 09:15:05 -04:00 	System: hp-dl180g6-01.rhts.eng.bos.redhat.com 	User 	Returned 	sassmann 	
	Scheduler 	2011-10-10 09:14:30 -04:00 	System: ibm-ghidorah-01.rhts.eng.bos.redhat.com 	Power 	reboot 		Completed
mganisin 	Scheduler 	2011-10-10 09:13:52 -04:00 	System: guest-80-164.rhts.eng.bos.redhat.com 	Distro 	Provision 		RHEL6.2-20111005.1
mganisin 	Scheduler 	2011-10-10 09:13:52 -04:00 	System: ibm-ghidorah-01.rhts.eng.bos.redhat.com 	Distro 	Provision 		RHEL5-Server-U7
	Scheduler 	2011-10-10 09:13:52 -04:00 	Command: ibm-ghidorah-01.rhts.eng.bos.redhat.com reboot 	Command 	reboot 		
mganisin 	Scheduler 	2011-10-10 09:13:47

Comment 2 Bill Peck 2011-11-10 16:11:45 UTC
Also, we need to make sure we log in the activity that a lab controller was removed, we should also log each system removing the lab controller as well.

Comment 3 Raymond Mancy 2012-05-14 00:45:17 UTC
Apologies, these are being bumped to next maint release.

Comment 4 Raymond Mancy 2012-07-10 02:51:46 UTC
I wonder if just having proper activity logging would be sufficient, without 
'Having the ability to make an annotation on the lab controller's page about something you've done to it'. At least if we have an activity log and we want to find out why something has hapened, we can just ping the person responsible.

I'm skeptical as to the need for something like the system notes on the labcontroller. If given the option, would people want to use it often enough to warrant its existence ?

Comment 5 Raymond Mancy 2012-07-11 06:55:15 UTC
http://gerrit.beaker-project.org/#/c/1200/

Comment 8 Dan Callaghan 2012-07-18 01:04:29 UTC
While testing this I found a related bug 840724 which makes the group activity unusable. That should be fixed too.

Comment 9 Dan Callaghan 2012-07-20 00:38:58 UTC
Beaker 0.9.1 has been released.